<?php $this->render('parts/header.php'); ?>

<body>

<script type="text/javascript">
<!--
var lastRequestId = null;

function requestFeed(feedId)
{
	var url = '<?php echo $this->getUrl('/api/feed/'); ?>' + feedId;
	var ajax = new Ajax.Request(
		url,
		{
			method: 'get',
			onComplete: showFeed
		}
	);
}

function showFeed(req)
{
	eval('var result = ' + req.responseText);
	var html = '';
	html += '<h2>';
	html += '<a href="' + result.feed.url.escapeHTML() + '">';
	html += result.feed.title.escapeHTML();
	html += '</a>';
	html += '</h2>'
	
	html += '<dl id="itemList">';
	for (var i = 0; i < result.items.length; i ++) {
		var item = result.items[i];
		html += '<dt>';
		html += '<span class="date">' + item.content_date.escapeHTML() + '</span>';
		html += '<a href="' + item.url.escapeHTML() + '">';
		html += '<span class="title">' + item.title.escapeHTML() + '</span>';
		html += '</a>';
		html += '</dt>';
		html += '<dd class="description">' + item.description.escapeHTML() + '</dd>';
	}
	html += '</dl>';
	$('mainContentsArea').innerHTML = html;
}

function updateFeed(feedId)
{
	$('mainContentsArea').innerHTML = '<p>フィード情報を更新しています</p>';
	lastRequestId = feedId;
	var url = '<?php echo $this->getUrl('/crawl/'); ?>' + feedId;
	var ajax = new Ajax.Request(
		url,
		{
			method: 'get',
			onComplete: updatedFeed
		}
	);
}

function updatedFeed(req)
{
	return requestFeed(lastRequestId);
}
-->
</script>

<div id="headerArea">
	<?php $this->render('parts/headerMenu.php'); ?>
	<h1>Zend Framework Sample FeedReader</h1>
</div>

<div id="mainArea">

	<div id="sideContentsArea">
		<h2>フィード一覧</h2>

		<div class="box">
			<ul id="feedList">
			<?php foreach ($this->feeds as $feed) : ?>
			<li>
			 <a href="<?php echo $this->getUrl('/read/' . $feed->id); ?>" onclick="requestFeed(<?php echo $this->escape($feed->id); ?>); return false;"><?php echo $this->escape($feed->title); ?></a>
			 [<a href="<?php echo $this->getUrl('/crawl/' . $feed->id); ?>" onclick="updateFeed(<?php echo $this->escape($feed->id); ?>); return false;">更新</a>]
			</li>
			<?php endforeach; ?>
			</ul>
		</div>
	</div>

	<div id="mainContentsArea">
		<?php if ($this->items) : ?>
		<h2><a href="<?php echo $this->escape($item->url); ?>"><?php echo $this->escape($item->title); ?></a></h2>

		<dl id="itemList">
		<?php foreach ($this->items as $item) : ?>
		<dt>
			<span class="date"><?php echo $this->escape($item->contentDate); ?></span>
			<a href="<?php echo $this->escape($item->url); ?>">
			<span class="title"><?php echo $this->escape($item->title) ?></span>
			</a>
		</dt>
			<dd class="description"><?php echo $this->escape($item->description); ?></dd>
		<?php endforeach; ?>
		</dl>
		<?php endif; ?>
	</div>

</div>

<?php $this->render('parts/signature.php'); ?>

</body>

<?php $this->render('parts/footer.php'); ?>
