<?php $this->render('parts/header.php'); ?>

<body>

<div id="headerArea">
	<?php $this->render('parts/headerMenu.php'); ?>
	<h1>Zend Framework Sample FeedReader</h1>
</div>

<div id="mainArea">
	<div class="box">
		<h2>フィード情報を修正してください</h2>

		<?php if (count($this->errorMessages) > 0) : ?>
		<ul class="error">
		<?php foreach ($this->errorMessages as $message) : ?>
			<li><?php echo $this->escape($message); ?></li>
		<?php endforeach; ?>
		</ul>
		<?php endif; ?>
		<form method="post" action="<?php echo $this->escape($this->getUrl('/edit/' . $this->feedid)); ?>">
		Feed URL: <?php echo $this->escape($this->feedurl); ?><br /> 
		Page URL: <?php echo $this->formText('url', $this->url, array('size' => 60)); ?><br />
		Title: <?php echo $this->formText('title', $this->title, array('size' => 50)); ?><br />
		<?php echo $this->formSubmit(null, '更新する'); ?>
		</form>
	</div>
</div>

<?php $this->render('parts/signature.php'); ?>

</body>

<?php $this->render('parts/footer.php'); ?>
