CREATE TABLE `feed` (
  `id` integer NOT NULL primary key,
  `title` varchar(100) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `feedurl` varchar(255) NOT NULL default '',
  `crawled` datetime NOT NULL default '0000-00-00 00:00:00',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE (`feedurl`)
);

CREATE TABLE `item` (
  `id` integer NOT NULL primary key,
  `feed_id` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `description` text,
  `content_date` datetime default '0000-00-00 00:00:00',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE (`feed_id`,`url`)
);
